package com.sw.mes.fb.instoreapply.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.fb.instoreapply.entity.InstoreApply;
import com.sw.mes.fb.instoreapply.entity.InstoreApplyItem;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface InstoreApplyService extends BaseService<InstoreApply> {
    void createIn(InstoreApply instoreApply, List<InstoreApplyItem> items);
    void updateIn(InstoreApply instoreApply, List<InstoreApplyItem> items);
    void deleteIn(Integer id);
    void print(Integer id);

    List<InstoreApply> findByOrderNo(String orderNo);
}
